Test MySQL connection (stored credentials)
POST
/connections/{id}/test-connection
const url = 'https://api.reflexdb.cloud/v1/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test-connection';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.reflexdb.cloud/v1/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test-connection \ --header 'Authorization: Bearer <token>'Verifies connectivity using the password stored in SSM Parameter Store for this connection.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Connection ID
Responses
Section titled “ Responses ”Result of a MySQL connectivity test
Media type application/json
TestConnectionResult
Result of a MySQL connectivity test
object
ok
required
boolean
error
Error message (present when ok is false)
string
latencyMs
Round-trip ping latency in milliseconds
number
estimatedSizeGb
Estimated source DB size in GB (data + index). Omitted if the query fails or the user lacks privileges.
number
availableSchemas
MySQL databases visible to this user, excluding system schemas
Array<string>
binlog
Binlog CDC readiness check
object
logBin
required
boolean
format
required
string
serverId
required
integer
ready
required
True when log_bin=ON and binlog_format=ROW
boolean
issues
required
Array<string>
Example generated
{ "ok": true, "error": "example", "latencyMs": 1, "estimatedSizeGb": 1, "availableSchemas": [ "example" ], "binlog": { "logBin": true, "format": "example", "serverId": 1, "ready": true, "issues": [ "example" ] }}Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}